Eclipse Platform Release 3.7

## org.eclipse.update.search
Interface IUpdateSearchSite

All Superinterfaces:
  IUpdateSiteAdapter

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IUpdateSearchSite

extends IUpdateSiteAdapter

This interface is used to represent sites that need to be searched within the search scope. In addition to being an update site adapter, it also returns an array of categories within the site that need not be searched (skipping categories makes the search faster because fewer features need to be checked and potentially downloaded from the server).

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`String[]` `getCategoriesToSkip()` Deprecated. Returns an array of categories that need not be searched when scanning this site or `null` if all the features must be tested.

Methods inherited from interface org.eclipse.update.search.IUpdateSiteAdapter
`getLabel, getURL`

Method Detail

### getCategoriesToSkip

    String[] getCategoriesToSkip()

  Deprecated.
  Returns an array of categories that need not be searched when scanning this site or `null` if all the features must be tested.

  Returns:
    an array of category names or `null` if all the features must be tested.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.